- Create a project in a resource group
- resource_admin
- delegated_resource_admin
Creates a project in the specified resource group
Whether to create server users for users in this project. Defaults to false. If false, you must ensure that accounts exist on the server for each user.
A comma separated list of labels used to match to enrolled gateways. Labels should use the following format: key=value
If true, creates persistent user accounts and home folders on servers in this project for every user on your team. By default, on-demand accounts are only created when a user accesses a server.
If true, the project requires preauthorization before a user can access a server. Default is false.
The UUID of the resource group where the project is located
(Optional) The type of signature algorithm used for authentication keys. Default is CERT_TYPE_ED25519_01.
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects
curl -i -X POST \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"create_server_users": true,
"force_shared_ssh_users": true,
"gateway_selector": "REGION=WEST-EU,TEAM=MARKETING",
"name": "/regex/",
"next_unix_gid": 100,
"next_unix_uid": 100,
"persistent_server_user_accounts": null,
"require_preauth_for_creds": true,
"resource_group_id": "5f3159e9-e7ab-428e-8a87-c2ebffe407f6",
"server_account_management": true,
"shared_admin_user_name": "Server.Admin",
"shared_standard_user_name": "Server.User",
"ssh_certificate_type": "CERT_TYPE_ECDSA_256_01"
}'Created
The number of active resources within this project. Only populated when include_resource_count is set to true, otherwise returned as 0.
Whether to create server users for users in this project. Defaults to false. If false, you must ensure that accounts exist on the server for each user.
A comma separated list of labels used to match to enrolled gateways. Labels should use the following format: key=value
The UUID of the project
If true, creates persistent user accounts and home folders on servers in this project for every user on your team. By default, on-demand accounts are only created when a user accesses a server.
If true, the project requires preauthorization before a user can access a server. Default is false.
The UUID of the resource group where the project is located
(Optional) The type of signature algorithm used for authentication keys. Default is CERT_TYPE_ED25519_01.
The number of stale resources within this project. Only populated when include_resource_count is set to true, otherwise returned as 0.
The team associated with the project
{ "active_resource_count": 50, "create_server_users": true, "deleted_at": "2019-08-24T14:15:22Z", "force_shared_ssh_users": true, "gateway_selector": "REGION=WEST-EU,TEAM=MARKETING", "id": "/regex/", "name": "/regex/", "next_unix_gid": 100, "next_unix_uid": 100, "persistent_server_user_accounts": null, "require_preauth_for_creds": true, "resource_group_id": "5f3159e9-e7ab-428e-8a87-c2ebffe407f6", "server_account_management": true, "shared_admin_user_name": "Server.Admin", "shared_standard_user_name": "Server.User", "ssh_certificate_type": "CERT_TYPE_ECDSA_256_01", "stale_resource_count": 0, "team": "Your_OPA_Team", "user_on_demand_period": 4294967295 }